<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Swagger UI</title>
<link rel="icon" type="image/png" class="head_logo"
	href=""
	sizes="32x32" />
<link rel="icon" type="image/png" class="head_logo"
	href=""
	sizes="16x16" />
<link href='webjars/springfox-swagger-ui/css/typography.css'
	media='screen' rel='stylesheet' type='text/css' />
<link href='webjars/springfox-swagger-ui/css/reset.css' media='screen'
	rel='stylesheet' type='text/css' />
<link href='webjars/springfox-swagger-ui/css/screen.css' media='screen'
	rel='stylesheet' type='text/css' />
<link href='webjars/springfox-swagger-ui/css/reset.css' media='print'
	rel='stylesheet' type='text/css' />
<link href='webjars/springfox-swagger-ui/css/print.css' media='print'
	rel='stylesheet' type='text/css' />

<script
	src='webjars/springfox-swagger-ui/lib/object-assign-pollyfill.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/jquery-1.8.0.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/jquery.slideto.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/jquery.wiggle.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/jquery.ba-bbq.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/handlebars-4.0.5.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/lodash.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/backbone-min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/swagger-ui.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/highlight.9.1.0.pack.js'
	type='text/javascript'></script>
<script
	src='webjars/springfox-swagger-ui/lib/highlight.9.1.0.pack_extended.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/jsoneditor.min.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/marked.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lib/swagger-oauth.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/springfox.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lang/translator.js'
	type='text/javascript'></script>
<script src='webjars/springfox-swagger-ui/lang/zh-cn.js'
	type='text/javascript'></script>
<link
	href='webjars/springfox-swagger-ui/themes/2.x/theme-monokai.css'
	media='screen' rel='stylesheet' id="sut" type='text/css' />

<style>
select {
	border: none;
	text-decoration: none;
	border-radius: 3px;
	letter-spacing: 1px;
	height: 28px;
	max-width: 175px
}
</style>
</head>

<body class="swagger-section">
	<div id='header'>
		<div class="swagger-ui-wrap">
			<a id="logo" href="https://www.zhcs.club/"> <img
				class="logo__img" alt="swagger" height="30" width="30"
				src="" />
				<span class="logo__title">Swagger UI</span>
			</a>
			<form id='api_selector'>
				<div class='input'>
					<select id="select_baseUrl" name="select_baseUrl" ></select>
				</div>
				<div class='input'>
					<input placeholder="http://example.com/api" id="input_baseUrl"
						name="baseUrl" type="text" />
				</div>
				<div id='auth_container'></div>
				<div class='input'>
					<a id="explore" class="header__btn" href="#" data-sw-translate>Explore</a>
				</div>
				<div class='input'>
					<select id="theme" name="theme" onchange="toggleStyle()">
						<option value="theme-feeling-blue">蓝色</option>
						<option value="theme-material">质感</option>
						<option value="theme-monokai" >莫洛凯</option>
						<option value="theme-flattop" >扁平</option>
						<option value="theme-muted">柔和</option>
						<option value="theme-newspaper">对比</option>
						<option value="theme-outline">绿柔</option>
					</select>
				</div>
			</form>
		</div>
	</div>

	<div id="message-bar" class="swagger-ui-wrap" data-sw-translate>&nbsp;</div>
	<div id="swagger-ui-container" class="swagger-ui-wrap"></div>
	<script type="text/JavaScript">
	function toggleStyle() {
		var select = document.getElementById("theme");
		var theme = select.options[select.selectedIndex].value;
		if (theme) {
			var link = document.getElementById('sut');
			link.href = 'webjars/springfox-swagger-ui/themes/2.x/' + theme
					+ '.css';
		}
	}
	(function(){
		$.get('swagger-customer',function(data){
			document.title = data.title;
			$('#logo').attr('href',data.url);
			$('.logo__title').html(data.title);
			$('.logo__img').attr('src',data.logo);
			$('.head_logo').attr('href',data.logo);
			$('#theme').find("option[value = 'theme-"+data.theme.toLowerCase().replace('_','-')+"']").attr("selected",true)
			toggleStyle();
		})
	})();
		
	</script>
</body>

</html>